<template>
	<view class="fayunPlan">
		<view>
			<view class="compDetails">
				<view class="comp">{{ orderPlanDetail.compName }}</view>
				<uni-table border stripe emptyText="暂无更多数据">
					<uni-tr>
						<uni-td align="left">货代领取</uni-td>
						<uni-td align="left">{{ orderPlanDetail.huodaiSum||0 }}张</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-td align="left">司机领取</uni-td>
						<uni-td align="left">{{ orderPlanDetail.sijiSum||0 }}张</uni-td>
					</uni-tr>
				</uni-table>
			</view>

			<view class="compDetails">
				<view class="comp">预约情况</view>
				<uni-table border stripe emptyText="暂无更多数据">
					<uni-tr v-for="(item, index) in orderPlanDetail.list">
						<uni-td align="left">{{ orderPlanDetail.coalName }}</uni-td>
						<uni-td align="left">{{ orderPlanDetail.cars }}张</uni-td>
					</uni-tr>
				</uni-table>
			</view>
		</view>
	</view>
</template>

<script>
export default {
	onLoad(value) {
		console.log('页面加载', value);
		if (value.orderPlanId) {
			this.orderPlanId = value.orderPlanId;
		}
	},
	data() {
		return {
			orderPlanId: null,
			orderPlanDetail: {}
		};
	},
	onShow(){
		this.init();
	},
	methods: {
		init() {
			this.GetOrderPlanDetail();
		},
		// 获取发运计划详情
		GetOrderPlanDetail() {
			this.$reqGet('xiangqingList', { orderPlanId: this.orderPlanId }).then(res => {
				console.log('发运计划详情', res);
				this.orderPlanDetail = res.data;
			});
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.fayunPlan {
	width: 100%;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	.compDetails {
		width: 94%;
		margin: vww(24) auto 0 auto;
		.comp {
			font-size: vww(16);
			font-weight: 400;
			padding: 0 vww(10);
			height: vww(40);
			line-height: vww(40);
			border: 1px solid #ebeef5;
			border-bottom: none;
			background-color: #f5f5f5;
		}
		.uni-table {
			.uni-table-tr {
				padding: 0;
				// .uni-table-th {
				// 	height: vww(40);
				// 	line-height: vww(40);
				// 	padding: vww(5) vww(10);
				// 	color: #111111;
				// 	font-weight: 300;
				// 	background: #f5f5f5;
				// }
				.uni-table-td {
					font-size: vww(16);
					font-weight: 300;
					height: vww(40);
					line-height: vww(40);
					padding: vww(5) vww(10);
					color: #111111;
				}
			}
		}
	}
}
</style>
